# JSDoc: Source: utils/regexUtils.js

# Source: utils/regexUtils.js

     /*Canopy - The next generation of stoner streaming software
    Copyright (C) 2024-2025 Rainbownapkin and the TTN Community

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.*/

    /**
     * I won't lie this line was whole-sale ganked from stack overflow like a fucking skid
     * In my defense I only did it because js-runtime-devs are taking fucking eons to implement RegExp.escape()
     * This should be replaced once that function becomes available in mainline versions of node.js:
     * https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/RegExp/escape
     *
     * @param {String} string - Regex string to escape
     * @returns {String} The Escaped String
     */
    module.exports.escapeRegex = function(string){
        return string.replace(/[.*+?^${}()|[\]\\]/g, '\\$&');
    }